/*
 * Author: Sahand Sadjadee
 * Course: TDDC77
 * Lecture: 06
 * Task: 02
 */

public class Point {
	
	private int x; //privata variablerna
	private int y;
	
	public Point() { //default konstruktören
		
	}
	public Point(int xValue, int yValue) { 
		x = xValue;
		y = yValue;
	}
	
	/*
	 * Följande 4 metoder används för att komma åt privata variablerna.
	 * Det är inte obligatoriskt att implementera följande metoder. Det beror mest på designen och
	 * om behovet finns. 
	 */
	public int getX() {
		return x;
	}
	public int getY() {
		return y;
	}
	public void setX(int x) {
		this.x = x;
	}
	public void setY(int y) {
		this.y = y;
	}
	
	
	/*
	 * Följande offentliga metoder skaffar operationerna som kan utföras på data.
	 */
	public Point add(Point op2) {
		Point result = new Point();
		result.setX(this.getX() + op2.getX());
		result.setY(this.getY() + op2.getY());
		
		return result;
	}
    //Den här metoden kan ersätts med standard equals(Object obj) metoden.
	public boolean compareTo(Point p) {
		if (this.getX() != p.getX())
			return false;
		else if (this.getY() != p.getY())
			return false;
		else return true;
			
	}
}
