/*
 * Author: Sahand Sadjadee
 * Course: TDDC77
 * Lecture: 06
 * Task: 03
 */

public class Pane {

	
	private Point point;
	private int length;
	private int height;
	
	
	public Pane() {
		
	}
	
	public Pane(Point point, int length, int height) {
		super();
		this.point = point;
		this.length = length;
		this.height = height;
	}
	
	public Point getPoint() {
		return point;
	}
	public void setPoint(Point point) {
		this.point = point;
	}
	public int getLength() {
		return length;
	}
	public void setLength(int length) {
		this.length = length;
	}
	public int getHeight() {
		return height;
	}
	public void setHeight(int height) {
		this.height = height;
	}
	
	private long calculateSurface() {
		return this.getHeight() * this.getLength();
	}
	
	public int compareSurface(Pane p) {
		if(this.calculateSurface() > p.calculateSurface())
			return 1;
		else if(this.calculateSurface() < p.calculateSurface())
			return -1;
		else return 0;
		
	}
	
	
	

}
